<!-- eslint-disable no-irregular-whitespace -->
<template>
  <div>
    <b-row class="justify-content-center">
      <b-col lg="8">
        <h2 class="mt-5">
          Couleurs
        </h2>
        <p class="mb-1">
          Les couleurs sont directement issues et déclinées à partir du logo :
        </p>
        <ul class="list-unstyled ml-2">
          <li>
            <i class="fas fa-lg mb-1 fa-circle-check fc-f7"></i>
            <b>le violet <code>#725794</code></b>
            pour les éléments primaires,
          </li>
          <li>
            <i class="fas fa-lg mb-1 fa-circle-check fc-o6"></i>
            <b>l’orange<code>#dd6418</code> de référence</b> pour les titres/étiquettes
            et textes d’une taille supérieure à 24px,
          </li>
          <li>
            <i class="fas fa-lg mb-1 fa-circle fc-o7"></i> l’orange<code>#cc4e13</code>
            plus foncé pour les boutons avec fort appel à action et tous les endroits
            où c’est utilisé avec du texte petit (à cause des contraintes sur l’accessibilité),
          </li>
          <li>
            <i class="fas fa-lg mb-1 fa-circle fc-o5"></i> l’orange <code>#fc8e3a</code>
            plus clair pour les éléments de décors (bordure, icônes) histoire de réchauffer
            et compenser l’aspect un peu terne des 2 précédents
          </li>
        </ul>
        <p class="mb-1">
          auxquelles s’ajoutent :
        </p>
        <ul class="list-unstyled ml-2">
          <li>
            <i class="fas fa-lg mb-1 fa-circle-check fc-g10"></i>
            <b>l’indigo saturé <code>#0b1c54</code></b>
            pour certains élements primaires que l’on veut faire « popper »
            (titres, bloc actus, bandeau d’info…)
          </li>
          <li>
            <i class="fas fa-lg mb-1 fa-circle-check fc-g7"></i>
            <b>le gris/indigo <code>#4a5268</code></b>
            pour les éléments secondaires
          </li>
          <li>
            <i class="fas fa-lg mb-1 fa-circle fc-b5"></i> le bleu <code>#487982</code>
            issus du  <a :href="`${$t('baseurl')}img/bg-sky.jpg`">dégradé céleste</a>
            pour certains éléments secondaires (très occasionnellement).
          </li>
        </ul>

        <h2 class="mt-5">
          Mise en page
        </h2>
        <p>
          À Framasoft on aime respirer, <b>avoir de l’espace et beaucoup de rondeur</b>,
          que ça pétille et que ça fasse des bulles
          <small>(oui, <a href="https://framaprout.org">même quand ça sent mauvais</a>)</small>.
        </p>
        <p class="mb-1">
          Les pages web comme ici sont mises en forme :
        </p>
        <ul>
          <li>
            avec <a :href="`${$t('baseurl')}img/bg-sky.jpg`">une « vraie » image d’arrière plan</a>
            issue d’<a href="https://www.peppercarrot.com/fr/viewer/framasoft__2022-02-01_Poster-Framasoft-2022_by-David-Revoy.html">une illustration de David Revoy</a>
            (plutôt qu’un dégradé en CSS)
          </li>
          <li>
            et une « feuille » grise/indigo claire <i class="far fa-lg mb-1 fa-circle fc-g6"></i>
          </li>
          <li>
            aux angles fortement arrondis <code>border-radius: 28px</code>
          </li>
          <li>
            et de larges marges sur les côtés.
          </li>
        </ul>
        <p>
          Le fait d’avoir une base gris-clair permet de créer de la profondeur
          juste en jouant sur les niveau de couleur
          <i class="fas fa-square fc-d1"></i>
          <i class="fas fa-square fc-g4"></i>
          <i class="fas fa-square fc-g5"></i>
          <i class="fas fa-square fc-g7"></i>
          sans avoir à utiliser
          d’effet d’ombrage. On reste le plus possible sur du
          <a href="https://fr.wikipedia.org/wiki/Flat_design">flat design</a>.
        </p>
        <p>
          Dans l’agencement des blocs de texte, il faut s’arranger pour que
          les paragraphes ne dépassent pas
          <b>800px de large pour garder un certain confort de lecture</b>.
          <br />
          On évite aussi les textes centrés ou justifiés.
        </p>
        <h2 class="mt-5">
          Icônes
        </h2>
        <p class="d-flex justify-content-around">
          <i
            class="fas fa-lg fa-lightbulb fa-shape-circle fa-border fc-o6 fd-o5"
          ></i>
          <i class="fas fa-lg fa-cat fa-shape-circle fa-border fc-f7 fd-f6"></i>
          <i class="fas fa-lg fa-leaf fa-shape-circle fa-border fc-o6 fd-o5"></i>
        </p>
        <p>
          Pour mettre en avant certains blocs de texte, des titres ou
          les éléments d’une listes à puce, on utilise
          <a href="https://fontawesome.com"><b>les icônes de Font Awesome</b></a>.
          <br />
          Afin d’harmoniser leur forme, il est souvent préférable de
          les <b>habiller d’un cercle</b>.
          On renforce ainsi l’idée que les éléments/objets présentés sont similaires
          et on rappelle au passage les bulles du logo.
        </p>

        <h2 class="mt-5">
          Titres
        </h2>
        <div
          aria-hidden="true"
          class="bg-white rounded example p-4 mb-3"
        >
          <h1 class="m-0 text-center">
            <span>
              Exemple
            </span>
          </h1>
        </div>
        <p class="mb-1">
          Les titres de <b>niveau 1</b> utilisent :
        </p>
        <ul>
          <li>
            la police <b><code>Tovari Sans</code></b> (48px)
          </li>
          <li>
            en blanc
            <i class="fas fa-lg mb-1 fa-circle fc-d1"></i> <code>#ffffff</code>
            <b>tout en majuscule</b>
          </li>
          <li>
            dans un <b>cadre orange
              <i class="fas fa-lg mb-1 fa-circle fc-o6"></i> <code>#dd6418</code>
            </b>
          </li>
          <li>
            incliné de 2 degrés et aux bords arrondis <code>border-radius: 8px</code>.
          </li>
        </ul>
        <p>
          <b>
            L’idée ici est d’évoquer immédiatement une tonalité décalée, enfantine,
            issue de l’univers de la bande-dessinée.
          </b>
        </p>
        <p class="mb-1">
          Les titres de <b>niveau 2</b> utilisent :
        </p>
        <ul>
          <li>
            la police <b><code>Tovari Sans</code></b> (48px)
          </li>
          <li>
            en <b>indigo saturé
              <i class="fas fa-lg mb-1 fa-circle fc-g10"></i>
              <code>#0b1c54</code>
            </b>.
          </li>
        </ul>
        <p class="mb-1">
          Les titres de <b>niveau 3</b> utilisent :
        </p>
        <ul>
          <li>
            la police <b><code>Roboto</code></b> (28px)
          </li>
          <li>
            en <b>violet
              <i class="fas fa-lg mb-1 fa-circle fc-f7"></i>
              <code>#725794</code>
            </b>.
          </li>
        </ul>
        <p>
          Les autres titres sont en gris/indigo
          <i class="fas fa-lg mb-1 fa-circle fc-g7"></i> <code>#4a5268</code>.
        </p>

        <h2 class="mt-5">
          Textes et liens
        </h2>
        <p>
          La police principale utilisée pour tous le reste est <code>Roboto</code>
          et le texte est coloré en noir anthracite
          <i class="fas fa-lg mb-1 fa-circle fc-g9"></i> <code>#1f1f1f</code>.
        </p>
        <p>
          Les <a
            href="#"
            title="Faux lien (pour illustration)"
          >liens sont soulignés</a> en gris/indigo
          <i class="fas fa-lg mb-1 fa-circle fc-g5"></i> <code>#a0aec0</code>
          à l’aide d’un <code>background</code> et ne sont volontairement pas colorés
          (pour l’accessibilité et le confort de lecture).
          <br />
          Le souligné passe à l’orange
          <i class="fas fa-lg mb-1 fa-circle fc-o5"></i> <code>#fc8e3a</code>
          au focus ou au survol de la souris.
        </p>

        <h2 class="mt-5">
          Typographie
        </h2>
        <p>
          En français, pensez à mettre des <b>espaces insécables fines</b> devant les signes de
          <b>ponctuation double</b> (<code>:!?;</code> etc.), dans le formatage des <b>nombres</b>
          (symboles monétaires, pourcentages, etc) ou avec les <b>guillemets français</b>
          (<code>«</code> et <code>»</code>).<br />
          Rappel : le code HTML de l’espace insécable fine est <code>&amp;#8239;</code>.
        </p>
        <p>
          En anglais et dans d’autres langues, les guillemets sont <code>“</code>
          et <code>”</code> et non pas <code>"</code> qui sert pour le code.
        </p>
        <p>
          Utilisez des <b>apostrophes typographiques</b>.
          Rappel : le code HTML de l’apostrophe typographique est
          <code>&amp;rsquo;</code>.
          <br />
          Les <b>points de suspensions</b> ont également un caractère unique plus
          élégant <code>…</code>. Son code HTML est <code>&amp;hellip;</code>.
        </p>
        <p>
          Même si c’est tentant, on ne met pas de majuscule au milieu de
          Framasoft, Framapad… Une au début suffit.
          En revanche, il la faut pour PeerTube.
        </p>
        <p class="alert alert-warning small">
          <b><a href="https://deslivresencommuns.org/">Des Livres en Communs</a></b>
          (anciennement Framabook) est la maison d’édition de Framasoft depuis 2006,
          autant dire que
          <b><a href="https://archive.framalibre.org/article2225.html">les règles typographiques sont inscrites dans l’ADN de l’association</a></b>.
          <br />
          On est assez exigeant là-dessus mais, en revanche, on n’a rien contre
          <b><a href="https://contact.framasoft.org/img/point-median.png">les mots abrégés à l’aide de points médians</a></b> 😉.
        </p>

        <h2 class="mt-5">
          Accessibilité
        </h2>
        <p>
          Les couleurs ont été choisies pour avoir un niveau de contraste et
          de luminosité suffisant pour répondre au normes d’accessibilité numérique.
          <br />
          Dans <a href="#tools">la palette ci-dessous</a>, les couleurs claires
          + texte noir sont valides du haut du tableau jusqu’au 1er
          <i class="fas fa-check"></i>
          <span class="sr-only"> Ratio > 4.5:1 (texte noir)</span>.
          Les couleurs foncées + texte blanc sont valides du 2ème
          <i class="fas fa-check"></i>
          <span class="sr-only"> Ratio > 4.5:1 (texte blanc)</span>
          jusqu’à la fin.
        </p>
        <p>
          Suivant la même logique, les couleurs marquées <code>AA</code> sont accessibles
          si la taille du texte est supérieure à 24px.
        </p>
        <p>
          En règle générale, lorsqu’on veut distinguer plusieurs éléments similaires
          (par exemple des boutons d’action là où l’utilisateur·ice doit faire un choix),
          il vaut mieux utiliser <b>des symboles plutôt que des couleurs</b>
          (on peut aussi combiner les 2).
        </p>

        <h2 class="mt-5">
          Captures d’écrans
        </h2>
        <h3>Les captures d’écran doivent faire sens</h3>
        <p>
          Il faut <b>cibler clairement les fonctionnalités</b>
          du service qu’on souhaite illustrer.<br />
          En général, si l’UI est bien faite, on devrait comprendre au premier coup d’œil
          mais il est important qu’il y ait des élements de contexte.
        </p>
        <p>
          Si on veut donner une vue d’ensemble de Framaspace, par exemple,
          un dossier vide ne sera pas très parlant, il est préférable de le
          pré-remplir avant pour faire apparaitre des images, des documents, des vidéos…
        </p>
        <p>
          À l’inverse, il faut <b>enlever</b> les menus, décors cadre, messages
          contextuels, etc <b>s’ils n’apportent pas d’informations utiles</b>
          à la compréhension de l’UI.<br />
          On peut aussi retoucher la capture pour zoomer, flécher, poser une
          lentille… sur les éléments importants et flouter ceux qui ne le sont pas.<br />
          Numéroter et <b>annoter les actions</b> peut aussi être très utile.
        </p>

        <h3>Les captures doivent être soignées et aller à l’essentiel</h3>
        <p>
          La prise de vue peut se faire à partir de l’outil « vue adaptative »
          du navigateur en faisant attention à garder le maximum d’éléments
          signifiants visibles.
        </p>
        <p>
          <b>Idéalement</b>, les captures devraient être de dimension <b>1024×768px</b>
          (4:3 ; format tablette) ou 1024×576px (16:9).<br />
          Il est important de conserver les proportions, d’éviter la pixélisation,
          et ne pas laisser trop d’espace vide inutile.<br />
          Pour des vues d’ensemble, il vaut mieux une capture trop grande
          redimensionnée et rognée à la main plutôt qu’une trop petite.
          Pour les vues partielles, il faut éviter tout redimensionnement car
          les textes deviennent illisibles.
        </p>
        <p>
          <b>Les images animées</b> peuvent être très utiles aussi
          <small>
            (pour les réaliser nous recommandons
            <a href="https://framalibre.org/content/peek">l’excellent Peek</a>)
          </small>
          mais gardez à l’esprit que plus une image est riche en information plus
          il est <b>complexe de la décrire textuellement</b> à ceux qui ne peuvent pas la voir.
        </p>

        <h3>Les fichiers doivent être légers</h3>
        <p>
          <b>Pour optimiser</b> les png et gif, dans Gimp, il existe une option
          pour les enregistrer avec une palette prévue pour le web.
          Il faut juste être un peu vigilant sur le rendu de la transparence
          et des dégradés de couleurs.
          Pour les jpg le mode progressif est à privilégier.
        </p>
        <p>
          Sinon, il existe <b>des outils en ligne particulièrement efficaces</b> :
          <a href="https://tinyjpg.com">TinyPNG/JPG</a>,
          <a href="https://imageoptim.com/online">ImageOptim</a>,
          <a href="https://jakearchibald.github.io/svgomg/">SVGOmg</a>,
          <a href="https://ezgif.com/optimize">Ezgif</a>
        </p>
      </b-col>
    </b-row>
  </div>
</template>

